using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model
{
    internal class CommonLib
    {
        public static string RemoveUpToSecondDot(string s)
        {
            if (string.IsNullOrEmpty(s)) return s;

            int first = s.IndexOf('.');
            if (first < 0) return s;

            int second = s.IndexOf('.', first + 1);
            if (second < 0) return s; // 或 return string.Empty，根据需求

            return s.Substring(second + 1);
        }
    }
}
